package ru.ulstu.is.sbapp.calculator.domain;

import org.springframework.stereotype.Component;

@Component(value="string")
public class StringCalculator implements Calculator<String>{

    @Override
    public String Sum(String first, String second) {
        return first.concat(second);
    }

    @Override
    public String Minus(String first, String second) {
        String[] arr = first.split("");
        for(int i = 0; i < first.length(); i++){
            if (second.contains(arr[i])){
                arr[i] = "";
            }
        }
        return String.join("", arr);
    }

    @Override
    public String Reverse(String first, String second) {
        String ourStr = first.concat(second);
        StringBuilder newStr = new StringBuilder();
        for(int i = ourStr.length() - 1; i >= 0; i--){
            newStr.append(ourStr.charAt(i));
        }
        return newStr.toString();
    }

    @Override
    public String Comparison(String first, String second) {
        if (first.length() >= second.length())
            return first;
        else return second;
    }
}
