import Catalog from "../common/Catalog";
import { useEffect, useState } from "react";

import DataService from "../../services/DataService"
import Table from "../common/Table";

import ReportSelector from "./ReportSelector";

let headers = [
  {label: "name", text: "Имя"},
  {label: "music", text: "Музыка"}
]

export default function ReportsFilms() {
  const [url, setUrl] = useState("/users?music=mus1");

  function formData(music) {
    console.log(music);
    setUrl("/users?music=" + music);
  }

  return (
    <ReportSelector headers={headers} url={url} formData={formData}/>
  )
}