package ru.ulstu.is.sbapp.socialNetwork.dto;

import ru.ulstu.is.sbapp.socialNetwork.models.User;
import ru.ulstu.is.sbapp.socialNetwork.models.UserRole;

import javax.validation.constraints.NotEmpty;

public class UserDto {
    @NotEmpty
    private String login;
    @NotEmpty
    private String password;
    private UserRole role;
    private String passwordConfirm;

    public UserDto(User user) {
        this.login = user.getLogin();
        this.password = user.getPassword();
        this.role = user.getRole();
    }

    public UserDto() {}

    public String getLogin() {
        return login;
    }

    public String getPassword() {
        return password;
    }
    public String getPasswordConfirm() {
        return passwordConfirm;
    }

    public UserRole getRole() {
        return role;
    }
}
